[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: perl provides and requires from the same package



On Wednesday 18 February 2009, Ralf Corsepius wrote:
> Manuel Wolfshant wrote:
> > During the review for  perl-NOCpulse-Object  (
> > https://bugzilla.redhat.com/show_bug.cgi?id=485893 ) I have noticed that
> > rpmbuild adds as requires some items which are provided by this very
> > package (abreged version below):
> >
> > [wolfy wolfy tmp]$ rpm -qp --provides
> > /home/wolfy/reports/perl-NOCpulse-Object/perl-NOCpulse-Object-1.26.9-1.fc
> >11.noarch.rpm
> >
> >
> > The packager thinks this is OK, I think that they should be filtered
> > out. Could we have a second opinion, please ?
>
> Both of you are right and wrong at the same time.
>
> Pedantically speaking, they should not be there,

Removing them would break certain existing (although rarely used) rpm features 
and potential depsolver use cases, perhaps this is why it hasn't been 
implemented even though it has been discussed a bunch of times.  More details 
and pointers at https://bugzilla.redhat.com/show_bug.cgi?id=486161#c1


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]